com.io7m.jstructural.core

## Interface SParagraphContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SParagraphContentVisitor<A>

  Paragraph content visitor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFootnote(SFootnote footnote)` Visit a footnote element.
    `A` | `visitFormalItemList(SFormalItemList list)` Visit a formal item list element.
    `A` | `visitImage(SImage image)` Visit an image element.
    `A` | `visitLink(SLink link)` Visit a link element.
    `A` | `visitLinkExternal(SLinkExternal link)` Visit a link element.
    `A` | `visitListOrdered(SListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SListUnordered list)` Visit an unordered list element.
    `A` | `visitTable(STable table)` Visit a table element.
    `A` | `visitTerm(STerm term)` Visit a term element.
    `A` | `visitText(SText text)` Visit a text element.
    `A` | `visitVerbatim(SVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFootnote

          A visitFootnote(SFootnote footnote)
                   throws Exception

      Visit a footnote element.
      Parameters:
        `footnote` - The footnote element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitFormalItemList

          A visitFormalItemList(SFormalItemList list)
                         throws Exception

      Visit a formal item list element.
      Parameters:
        `list` - The formal item list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitImage

          A visitImage(SImage image)
                throws Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitLink

          A visitLink(SLink link)
               throws Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitLinkExternal

          A visitLinkExternal(SLinkExternal link)
                       throws Exception

      Visit a link element.
      Parameters:
        `link` - The link element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(SListOrdered list)
                      throws Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(SListUnordered list)
                        throws Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitTable

          A visitTable(STable table)
                throws Exception

      Visit a table element.
      Parameters:
        `table` - The table element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitTerm

          A visitTerm(STerm term)
               throws Exception

      Visit a term element.
      Parameters:
        `term` - The term element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitText

          A visitText(SText text)
               throws Exception

      Visit a text element.
      Parameters:
        `text` - The text element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(SVerbatim text)
                   throws Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

Copyright © 2015 <code@io7m.com> http://io7m.com